0

I own a site on wordpress but I don't know coding, from tomorrow I am unable to access my site. it is showing "critical error occurred "

The problem showing is

Fatal error: Uncaught ArgumentCountError: Too few arguments to function WP_Hook::do_action(), 0 passed in /home/u712956977/domains/sociallyhaunt.com/public_html/wp-includes/plugin.php on line 478 and exactly 1 expected in /home/u712956977/domains/sociallyhaunt.com/public_html/wp-includes/class-wp-hook.php:309 Stack trace: #0 /home/u712956977/domains/sociallyhaunt.com/public_html/wp-includes/plugin.php(478): WP_Hook->do_action() #1 /home/u712956977/domains/sociallyhaunt.com/public_html/wp-settings.php(409): do_action('plugins_loaded') #2 /home/u712956977/domains/sociallyhaunt.com/public_html/wp-config.php(82): require_once('/home/u71295697...') #3 /home/u712956977/domains/sociallyhaunt.com/public_html/wp-load.php(37): require_once('/home/u71295697...') #4 /home/u712956977/domains/sociallyhaunt.com/public_html/wp-blog-header.php(13): require_once('/home/u71295697...') #5 /home/u712956977/domains/sociallyhaunt.com/public_html/index.php(17): require('/home/u71295697...') #6 {main} thrown in /home/u712956977/domains/sociallyhaunt.com/public_html/wp-includes/class-wp-hook.php on line 309

I need a help and I will be really grateful of actions

0

I'd look at the wp-settings file to see if there is something added there that shouldn't be there. Look at a backup copy of it, or the default one in the WP core code.

You could also reinstall WP manually. Many googles/bings/ducks on how to do that; here's one: https://www.wpbeginner.com/wp-tutorials/how-to-uninstall-and-reinstall-wordpress/ .

Make a backup copy of your files.

Could also be your theme. You could temporarily deactivate your current theme by renaming the theme's folder. And you might also want to temporarily deactivate your plugins by renaming the plugins folder.

You don't mention what version of WP you have. But it is always a good idea to keep WP to the latest release. And ensure that you are running PHP 7.2+.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.